> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentcloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Datasource

> Initialise an Airbyte synchronisation for an existing datasource object



## OpenAPI

````yaml post /{resourceSlug}/forms/datasource/{datasourceId}/sync
openapi: 3.0.0
info:
  title: Agentcloud Webapp API Docs
  description: The API docs for Agentcloud's webapp.
  version: 0.2.1
servers:
  - url: https://app.agentcloud.dev
    description: Use our public api endpoints!
  - url: '{custom_url}'
    description: Test the endpoints on your own instance of Agent Cloud!
    variables:
      custom_url:
        default: https://app.agentcloud.dev
security: []
tags: []
paths:
  /{resourceSlug}/forms/datasource/{datasourceId}/sync:
    post:
      tags:
        - Datasources
      summary: Sync Datasource
      description: Initialise an Airbyte synchronisation for an existing datasource object
      operationId: syncDatasourceApi
      parameters:
        - name: resourceSlug
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ObjectId'
          description: >-
            The resourceSlug is a url parameter of the teamId associated with
            the user. Anywhere the resourceSlug is used can be interpreted as a
            teamId
        - name: datasourceId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ObjectId'
          description: Datasource object id of datasource to be synced.
      responses:
        '200':
          description: Successful operation, no redirect and no body
          content:
            dynamicResponse:
              schema: {}
        '400':
          description: >-
            Error validating datasource, check error message for more
            information.
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/dynamicResponse'
        '403':
          description: >-
            Invalid Permissions on the resourceSlug, attempting to access a task
            outside the permissions of the team
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/dynamicResponse'
        '500':
          description: Internal error
          content:
            dynamicResponse:
              schema:
                $ref: '#/components/schemas/dynamicResponse'
components:
  schemas:
    ObjectId:
      description: >-
        Mongodb Object id, unique identifier, length of 24 characters fitting
        the following regex; [a-f0-9]{24}
      type: string
    dynamicResponse:
      description: Server response
      properties:
        message:
          type: string
          description: Error message to provide more detail
        code:
          type: integer
          description: the error code

````